Subject: [PATCHv2 5/9] ARM: OMAP2+: hwmod: assign main clock from DT if available

From: [email-masked] (Tony Lindgren)
Date: Mon, 20 Mar 2017 07:36:05 -0700

* Tony Lindgren <[email-masked]> [170320 07:37]:
> * Tero Kristo <[email-masked]> [170320 06:25]:
> > On 18/03/17 00:17, Tony Lindgren wrote:
> > > I don't quite follow you, what breaks if you fall back to the old clock
> > > lookup if no "ti,hwmods" is set?
> > 
> > I think I misunderstood your earlier comment. So basically the code already
> > bails out early if ti,hwmods is not set. In this case, the earlier lookup
> > done by hwmod core sets the node pointer for this code to be NULL, and this
> > just parses the existing main_clk info.
> 
> OK thanks for confirming that.

And also for this patch:

Acked-by: Tony Lindgren <[email-masked]>